The StompFrame class

- « Stomp::unsubscribe

- StompFrame::__construct »

- PHP Manual
- Stomp
- The StompFrame class

# The StompFrame class

(PECL stomp >= 0.1.0)

## Introduction

Represents a message which was sent or received from a Stomp compliant Message Broker.

## Class synopsis

class StompFrame {
/* Properties */
public $command;
public $headers;
public $body;
/* Methods */
__construct(string `$command` = ?, array `$headers` = ?, string `$body` = ?)
}

## Properties

command

  Frame command.

headers

  Frame headers (array).

body

  Frame body.

## Table of Contents

- StompFrame::__construct — Constructor